Set grace period finish action
curl --request PATCH \
--url https://api.bondio.co/v1/esims/{iccid}/availability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.bondio.co/v1/esims/{iccid}/availability"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bondio.co/v1/esims/{iccid}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"gracePeriodFinishAction": "LAPSE",
"gracePeriodFinishAt": 1768481221,
"currentState": "ACTIVE"
}Esim
Set grace period finish action
Sets the action to be taken at the end of grace period. By default it is set to “LAPSE”
PATCH
/
v1
/
esims
/
{iccid}
/
availability
Set grace period finish action
curl --request PATCH \
--url https://api.bondio.co/v1/esims/{iccid}/availability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.bondio.co/v1/esims/{iccid}/availability"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bondio.co/v1/esims/{iccid}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"gracePeriodFinishAction": "LAPSE",
"gracePeriodFinishAt": 1768481221,
"currentState": "ACTIVE"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
iccid of the esim
Body
application/json
Available options:
LAPSE, PRESERVE Response
The action that would be taken by the system once the grace period is finished.
Available options:
LAPSE, PRESERVE Timestamp at which the grace period finishes.
Available options:
ACTIVE, LAPSED 
